Bug 1749847 - 99-vmware-scsi-udev.rules Invalid value
Summary: 99-vmware-scsi-udev.rules Invalid value
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: open-vm-tools
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ravindra Kumar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-06 15:05 UTC by Alessio
Modified: 2020-02-16 01:09 UTC (History)
9 users (show)

Fixed In Version: open-vm-tools-11.0.5-1.fc31 open-vm-tools-11.0.5-2.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-06 02:24:52 UTC
Type: Bug


Attachments (Terms of Use)

Description Alessio 2019-09-06 15:05:43 UTC
From journalctl

Sep 06 17:00:35 toshiba systemd-udevd[1983]: /usr/lib/udev/rules.d/99-vmware-scsi-udev.rules:6 Invalid value "/bin/sh -c 'echo 180 >/sys$DEVPATH/device/timeout'" for RUN (char 27: invalid substitution type), ignoring, but please fix it.

Comment 1 Vanoywj 2019-12-06 05:29:28 UTC
Error seen on Fedora 31.

Running uname -a: Linux hostname.domain 5.3.13-300.fc31.x86_64 #1 SMP Mon Nov 25 17:25:25 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux

Running journalctl -b -p 3| less shows below:

usr/lib/udev/rules.d/99-vmware-scsi-udev.rules:5 Invalid value "/bin/sh -c 'echo 180 >/sys$DEVPATH/device/timeout'" for RUN (char 27: invalid substitution type), ignoring, 
but please fix it.
/usr/lib/udev/rules.d/99-vmware-scsi-udev.rules:6 Invalid value "/bin/sh -c 'echo 180 >/sys$DEVPATH/device/timeout'" for RUN (char 27: invalid substitution type), ignoring, 
but please fix it.

Any way to troubleshoot udev? By comment it out?

Comment 2 Ravindra Kumar 2019-12-06 21:22:24 UTC
(In reply to Vanoywj from comment #1)
> Any way to troubleshoot udev? By comment it out?

Could you please take a backup of existing /usr/lib/udev/rules.d/99-vmware-scsi-udev.rules file and in the main /usr/lib/udev/rules.d/99-vmware-scsi-udev.rule file try replacing $DEVPATH with $env{DEVPATH}? Please let me know if the problem gets fixed. Thanks!

Comment 3 Julian Sikorski 2019-12-06 21:26:30 UTC
I need to double check later but if I remember right the fix is to duplicate the percent sign.

Comment 4 Julian Sikorski 2019-12-06 21:28:41 UTC
s/percent/dollar:
https://bugzilla.rpmfusion.org/show_bug.cgi?id=5448

Comment 5 Ravindra Kumar 2019-12-06 22:11:37 UTC
Thanks Julian. I will check on that.

(In reply to Ravindra Kumar from comment #2)
> (In reply to Vanoywj from comment #1)
> > Any way to troubleshoot udev? By comment it out?
> 
> Could you please take a backup of existing
> /usr/lib/udev/rules.d/99-vmware-scsi-udev.rules file and in the main
> /usr/lib/udev/rules.d/99-vmware-scsi-udev.rule file try replacing $DEVPATH
> with $env{DEVPATH}? Please let me know if the problem gets fixed. Thanks!

Could you please also try what Julian suggested? Basically, try replacing $DEVPATH with $$DEVPATH and let us know the result.

Comment 6 Julian Sikorski 2019-12-15 10:25:30 UTC
I can confirm that doubling the dollar sign fixes the problem. Before:

gru 15 11:09:46 napoleon2 systemd-udevd[135922]: Using default interface naming scheme 'v243'.
gru 15 11:09:46 napoleon2 systemd-udevd[135920]: Using default interface naming scheme 'v243'.
gru 15 11:09:46 napoleon2 systemd-udevd[135935]: Using default interface naming scheme 'v243'.
gru 15 11:09:46 napoleon2 systemd-udevd[135924]: Using default interface naming scheme 'v243'.
gru 15 11:10:14 napoleon2 systemd-udevd[744]: /etc/udev/rules.d/10-atmel-dfu.rules:1 Invalid key/value pair, ignoring.
gru 15 11:10:14 napoleon2 systemd-udevd[744]: /etc/udev/rules.d/10-atmel-dfu.rules:2 Invalid key/value pair, ignoring.
gru 15 11:10:14 napoleon2 systemd-udevd[744]: /usr/lib/udev/rules.d/65-md-incremental.rules:28 Invalid value "/sbin/mdadm -I $env{DEVNAME} --export $devnode --offroot ${DEVLINKS}" for IMPORT (char 58: invalid substitution type), ignoring, but please fix it.
gru 15 11:10:14 napoleon2 systemd-udevd[744]: /usr/lib/udev/rules.d/99-vmware-scsi-udev.rules:5 Invalid value "/bin/sh -c 'echo 180 >/sys$DEVPATH/device/timeout'" for RUN (char 27: invalid substitution type), ignoring, but please fix it.
gru 15 11:10:14 napoleon2 systemd-udevd[744]: /usr/lib/udev/rules.d/99-vmware-scsi-udev.rules:6 Invalid value "/bin/sh -c 'echo 180 >/sys$DEVPATH/device/timeout'" for RUN (char 27: invalid substitution type), ignoring, but please fix it.

After:

gru 15 11:10:14 napoleon2 systemd-udevd[136519]: Using default interface naming scheme 'v243'.
gru 15 11:10:14 napoleon2 systemd-udevd[136530]: Using default interface naming scheme 'v243'.
gru 15 11:10:15 napoleon2 systemd-udevd[136543]: Using default interface naming scheme 'v243'.
gru 15 11:10:15 napoleon2 systemd-udevd[136536]: Using default interface naming scheme 'v243'.
gru 15 11:12:01 napoleon2 systemd-udevd[744]: /etc/udev/rules.d/10-atmel-dfu.rules:1 Invalid key/value pair, ignoring.
gru 15 11:12:01 napoleon2 systemd-udevd[744]: /etc/udev/rules.d/10-atmel-dfu.rules:2 Invalid key/value pair, ignoring.
gru 15 11:12:01 napoleon2 systemd-udevd[744]: /usr/lib/udev/rules.d/65-md-incremental.rules:28 Invalid value "/sbin/mdadm -I $env{DEVNAME} --export $devnode --offroot ${DEVLINKS}" for IMPORT (char 58: invalid substitution type), ignoring, but please fix it.

As the file needing fix comes from upstream, I have created a PR there:
https://github.com/vmware/open-vm-tools/pull/394

Comment 8 Fedora Update System 2020-02-04 19:39:23 UTC
FEDORA-2020-7ffbe344e0 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-7ffbe344e0

Comment 9 Ravindra Kumar 2020-02-04 21:51:12 UTC
Here is Fedora 30 update for this - https://bodhi.fedoraproject.org/updates/FEDORA-2020-6fd1742ae6.

Comment 10 Fedora Update System 2020-02-05 00:52:44 UTC
open-vm-tools-11.0.5-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-6fd1742ae6

Comment 11 Fedora Update System 2020-02-05 01:25:15 UTC
open-vm-tools-11.0.5-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-7ffbe344e0

Comment 12 Fedora Update System 2020-02-06 02:24:52 UTC
open-vm-tools-11.0.5-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2020-02-08 02:34:56 UTC
open-vm-tools-11.0.5-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-63fe61753a

Comment 14 Fedora Update System 2020-02-16 01:09:23 UTC
open-vm-tools-11.0.5-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.